=== debian/control ===
Source: ros-jazzy-ament-pclint
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-jazzy-ament-copyright <!nocheck>, ros-jazzy-ament-flake8 <!nocheck>, ros-jazzy-ament-pep257 <!nocheck>, ros-jazzy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-ament-pclint
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-jazzy-ros-workspace
Description: The ability to perform static code analysis on C/C++ code using PC-lint and generate xUnit test result files.
